<?php
	require_once('pixbrowser_settings.php');
?>

var listURL = "<?php echo PixBrowser_GetRequestURI(); ?>"; // The server-side script

function handleListResponse() {
	if (http.readyState == 4) {
		document.getElementById('pixBrowserList').innerHTML = http.responseText;
	}
}

function PixBrowser_Initialize() {
	var URL = listURL;
	http.open("GET", URL, true);
	http.onreadystatechange = handleListResponse;
	http.send(null);
}

function PixBrowser_GetList(theSource, thePath) {
	var URL = listURL + '?sourceNumber=' + escape(theSource) + '&path=' + escape(thePath);
	http.open("GET", URL, true);
	http.onreadystatechange = handleListResponse;
	http.send(null);
}

function getHTTPObject() {
	var xmlhttp;
	/*@cc_on
	@if (@_jscript_version >= 5)
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
		}
	}
	@else
	xmlhttp = false;
	@end @*/

	if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
		try {
			xmlhttp = new XMLHttpRequest();
		} catch (e) {
			xmlhttp = false;
		}
	}

	return xmlhttp;
	
}

function PixBrowser_InsertImage(src, theClass) {
	var theText2 = document.getElementById('content').value;
	var width = '';
	if (theClass == 'usePixGallery') {
		width = 'width="100px" ';
	}
	document.getElementById('content').value = theText2 + '<img src="' + src + '" class="' + theClass + '" ' + width +'/>';
}

function PixBrowser_InsertLink(src) {
	var theText2 = document.getElementById('content').value;
	var linkText = prompt('Enter the link text' , 'click here');
	document.getElementById('content').value = theText2 + '<a href="' + src + '">' + linkText + '</a>';
}



var http = getHTTPObject(); // We create the HTTP Object

