<?php

define('WP_USE_THEMES', false);
require_once('../../wp-blog-header.php');

require_once('pixbrowser_settings.php');


function makePath($path) {
	$path = preg_replace('/[`]/','',$path);
	$path = preg_replace('/[.]/','/',$path);
	return $path;
}
function makeLinkPath($path) {
	$path = preg_replace('/[\/]/','.',$path);
	return $path;
}

function pathUpALevel($path) {
	$pos = strrpos($path, '/');
	if ($pos === false) {
		return $path;
	}
	$path = substr($path, 0, $pos);
	return $path;
}

//main

$directories = PixBrowser_GetDirectories();
$relativeImageCache = PixBrowser_GetRelativeImageCache();

$displayTopLevel = true;

if (isset($_GET['sourceNumber'])) {
	$sourceNumber = $_GET['sourceNumber'];
	if (isset($directories[$sourceNumber]['pixBrowserSource'])) {
		$displayTopLevel = false;
		if (isset($_GET['path'])) {
			$path = $_GET['path'];
			$path = makePath($path);
		} else {
			$path = '';
		}
		$fullPath = $directories[$sourceNumber]['pixBrowserSource'] . $path;
?>
		<p><a onclick="javascript:PixBrowser_Initialize()" >Top</a>
		<?php if ($path != '' && $path != '/') { ?>
		<a onclick="javascript:PixBrowser_GetList('<?php echo $sourceNumber.'\','.'\''.makeLinkPath(pathUpALevel($path)); ?>')">Up</a>
		<?php } ?>

		</p>
		<hr />
<?php
		$directoryOutput = '';
		$imagesOutput = '';
		$filesOutput = '';
		//read directory
		if (is_dir($fullPath)) {
			if ($dirHandle = opendir($fullPath)) {
				while (($fileEntry = readdir($dirHandle)) !== FALSE) {
					if ($fileEntry == '.') {
					} elseif ($fileEntry == '..') {
					} else {
						if (is_dir($fullPath.'/'.$fileEntry)) {
							$newPath = $path . '/'.$fileEntry;
							$directoryOutput .= '<p><a onclick="javascript:PixBrowser_GetList(\''
								.$sourceNumber.'\','
								.'\''.makeLinkPath($newPath).'\')">'
								.$fileEntry.'</a></p>'."\n";
						} elseif (strstr(strtolower($fileEntry), ".jpg") 
							|| strstr(strtolower($fileEntry), ".gif") 
							|| strstr(strtolower($fileEntry), ".png")) 
						{

							$output = '<div class="pixBrowserImage">'."\n";
							$output .= '<p>'.$fileEntry.'</p>'."\n";

							$src = $directories[$sourceNumber]['pixBrowserOutput']
								.$path.'/'.$fileEntry;

							//$output .= '<p>'.$src."</p>\n";
							$output .= '<p><img class="usePixGallery" width="100px" src="'
								.$src
								.'" /></p>'."\n";
							$output .= '<p><a onclick="javascript:PixBrowser_InsertImage(\''
								.$src.'\', \'usePixGallery\')">Pop-up</a>'
								.' | <a onclick="javascript:PixBrowser_InsertImage(\''
								.$src.'\', \'\')">Static</a></p>'."\n";
							$output .= "</div>\n";
							
							$imagesOutput .= $output;
						} else {
							$src = $directories[$sourceNumber]['pixBrowserOutput']
								.$path.'/'.$fileEntry;
							$filesOutput .= '<p><a href="'.PixBrowser_GetRootURI()
								.$src.'" target="_BLANK" '
								.'title="open this in a new window">'.$fileEntry.'</a>'
								.' <a onclick="javascript:PixBrowser_InsertLink(\''.$src
								.'\')">Insert Link</a>'
								."</p>\n";
						}
					}
				}
			} else {
				echo '<p class="error">Unable to open '.$fullPath.'</p>'."\n";
			}

			$imagesOutput = PixGallery_Image($imagesOutput, true);
			closedir($dirHandle);
			echo '<h6>'.$fullPath."</h6>\n";
			echo '<div id="directories">'."\n".$directoryOutput."</div>\n";
			echo '<div id="files">'."\n".$filesOutput."</div>\n";
			echo '<div id="images">'."\n".$imagesOutput."</div>\n";
			echo '<p class="clearer">&nbsp;</p>'."\n";
		} //photodirectory
	} else { //if sourcenumber exists
		$displayTopLevel = true;
	}
	
} 
if ($displayTopLevel) {
		$numberOfDirectories = count($directories);
		for ($i = 0; $i < $numberOfDirectories; $i++) {
			echo '<p><a onclick="javascript:PixBrowser_GetList(\''.$i.'\','
				.'\'\')">'.$directories[$i]['pixBrowserOutput'].'</a></p>'."\n";
		}
?>
<?php
}
?>
